Outdated documentation

This page is out of date. Please use the main navigation to find the latest documentation.

Contexte

Le 9 septembre 2009, la clé GPG utilisée pour signer tous les paquets gNewSense a expiré (en). Cette page existe pour aider à l'installation d'une nouvelle clé afin d'éviter des messages d'erreur tels que :

 > W: GPG error: http://archive.gnewsense.org deltah-backports Release: The following signatures were invalid: KEYEXPIRED 1252532309 KEYEXPIRED 1252532309 KEYEXPIRED 1252532309
 > W: GPG error: http://us.archive.gnewsense.org deltah Release: The following signatures were invalid: KEYEXPIRED 1252532309 KEYEXPIRED 1252532309 KEYEXPIRED 1252532309
 > W: GPG error: http://us.security.gnewsense.org deltah-security Release: The following signatures were invalid: KEYEXPIRED 1252532309 KEYEXPIRED 1252532309 KEYEXPIRED 1252532309
 > W: You may want to run apt-get update to correct these problems

Mettre la clé à jour

Actuellement, on ne peut régler le problème que manuellement.

Les commandes suivantes devraient télécharger la clé à jour et l'ajouter au trousseau GPG de apt.

 wget http://www.gnewsense.org/~kgoetz/updated-gns-build-key.gpg
 sudo apt-key add updated-gns-build-key.gpg

Autres emplacements de la clé

La clé est (à nouveau) ajoutée par base-files (gNewSense version 9) lorsque le paquet est mis à jour.

Merci,
kgoetz


CategoryOutdated

Main.fr/FixExpiredArchiveKey (last edited 2013-09-04 17:06:30 by FelipeLopez)